| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Functions
OgreShadowTextureManager.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
struct | Ogre::ShadowTextureConfig
| Structure containing the configuration for one shadow texture. More...
class | Ogre::ShadowTextureManager
| Class to manage the available shadow textures which may be shared between many SceneManager instances if formats agree. More...

## Namespaces
| Ogre

## Typedefs
typedef ConstVectorIterator< ShadowTextureConfigList > | Ogre::ConstShadowTextureConfigIterator
typedef std::vector< ShadowTextureConfig > | Ogre::ShadowTextureConfigList
typedef std::vector< TexturePtr > | Ogre::ShadowTextureList

## Functions
_OgreExport bool | Ogre::operator!= (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)
_OgreExport bool | Ogre::operator== (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)